Bug 199951 - devel/protobuf: upgrade to version 2.6.1
Summary: devel/protobuf: upgrade to version 2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-05 13:25 UTC by Jimmy Olgeni
Modified: 2015-05-08 07:43 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Upgrade to 2.6.1. (3.71 KB, patch)
2015-05-05 13:25 UTC, Jimmy Olgeni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2015-05-05 13:25:43 UTC
Created attachment 156374 [details]
Upgrade to 2.6.1.

Upgrade to version 2.6.1 and move to GitHub.
Comment 1 commit-hook freebsd_committer 2015-05-06 19:00:36 UTC
A commit references this bug:

Author: sunpoet
Date: Wed May  6 18:59:55 UTC 2015
New revision: 385547
URL: https://svnweb.freebsd.org/changeset/ports/385547

Log:
  - Update to 2.6.1
  - Update MASTER_SITES: move from Google Code to GitHub
  - Update WWW

  Changes:	https://github.com/google/protobuf/releases
  PR:		199951
  Submitted by:	olgeni

Changes:
  head/devel/protobuf/Makefile
  head/devel/protobuf/distinfo
  head/devel/protobuf/files/patch-src-google-protobuf-stubs-atomicops.h
  head/devel/protobuf/files/patch-src-google-protobuf-stubs-atomicops_internals_generic_gcc.h
  head/devel/protobuf/pkg-descr
  head/devel/protobuf/pkg-plist
Comment 2 Po-Chuan Hsieh freebsd_committer 2015-05-06 19:07:30 UTC
Committed. Thanks!
Comment 3 jakub_lach 2015-05-07 23:57:50 UTC
am I missing something?

===>  Configuring for protobuf-2.6.1
configure.ac:45: installing './compile'
configure.ac:30: installing './config.guess'
configure.ac:30: installing './config.sub'
configure.ac:32: installing './install-sh'
configure.ac:75: error: required file './ltmain.sh' not found
configure.ac:32: installing './missing'
src/Makefile.am: installing './depcomp'
parallel-tests: installing './test-driver'
autoreconf-2.69: automake failed with exit status: 1
*** Error code 1
Comment 4 Jimmy Olgeni freebsd_committer 2015-05-08 01:58:07 UTC
(In reply to jakub_lach from comment #3)

Hi,

Your log is missing the libtoolize step for some reason - it should go like this:

===>   protobuf-2.6.1 depends on executable: autoconf-2.69 - found
===>   protobuf-2.6.1 depends on executable: autoheader-2.69 - found
===>   protobuf-2.6.1 depends on executable: autoreconf-2.69 - found
===>   protobuf-2.6.1 depends on executable: aclocal-1.15 - found
===>   protobuf-2.6.1 depends on executable: automake-1.15 - found
===>   protobuf-2.6.1 depends on executable: libtoolize - found
===>   protobuf-2.6.1 depends on executable: gmake - found
===>   protobuf-2.6.1 depends on executable: pkgconf - found
===>  Configuring for protobuf-2.6.1
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
configure.ac:45: installing './compile'
configure.ac:30: installing './config.guess'
configure.ac:30: installing './config.sub'
configure.ac:32: installing './install-sh'
configure.ac:32: installing './missing'
src/Makefile.am: installing './depcomp'
parallel-tests: installing './test-driver'
[...]

poudriere testport looks good - I'm not sure why libtoolize is not called over there.
Comment 5 jakub_lach 2015-05-08 07:43:43 UTC
It goes like this

===>>> The following actions will be taken if you choose to proceed:
        Install devel/protobuf-c
        Install devel/autoconf
        Install devel/autoconf-wrapper
        Install devel/gmake
        Install devel/m4
        Install misc/help2man
        Install devel/gmake-lite
        Install devel/automake
        Install devel/automake-wrapper
        Install devel/libtool
        Install devel/pkgconf
        Install devel/protobuf

===>>> Proceed? y/n [y] 

<...>

=> SHA256 Checksum OK for google-protobuf-2.6.1-v2.6.1_GH0.tar.bz2.
===>  Patching for protobuf-2.6.1
===>  Applying FreeBSD patches for protobuf-2.6.1
===>   protobuf-2.6.1 depends on executable: autoconf-2.69 - found
===>   protobuf-2.6.1 depends on executable: autoheader-2.69 - found
===>   protobuf-2.6.1 depends on executable: autoreconf-2.69 - found
===>   protobuf-2.6.1 depends on executable: aclocal-1.15 - found
===>   protobuf-2.6.1 depends on executable: automake-1.15 - found
===>   protobuf-2.6.1 depends on executable: libtoolize - found
===>   protobuf-2.6.1 depends on executable: gmake - found
===>   protobuf-2.6.1 depends on executable: pkgconf - found
===>  Configuring for protobuf-2.6.1
configure.ac:45: installing './compile'
configure.ac:30: installing './config.guess'
configure.ac:30: installing './config.sub'
configure.ac:32: installing './install-sh'
configure.ac:75: error: required file './ltmain.sh' not found
configure.ac:32: installing './missing'
src/Makefile.am: installing './depcomp'
parallel-tests: installing './test-driver'
autoreconf-2.69: automake failed with exit status: 1
*** Error code 1